curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/accounts' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"account_number": "string",
"account_sub_type": "string",
"account_type": "string",
"currency": "USD",
"description": "Two-person tent, green — replacement for damaged pole set.",
"is_header": true,
"is_posting": true,
"name": "Two-Person Tent",
"parent_account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"account_number": "string",
"account_sub_type": "string",
"account_type": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_balance": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_header": true,
"is_posting": true,
"name": "Two-Person Tent",
"normal_balance": "49.00",
"parent_account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
Create an account
Create an account
POST
/
api
/
v1
/
gl
/
accounts
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/accounts' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"account_number": "string",
"account_sub_type": "string",
"account_type": "string",
"currency": "USD",
"description": "Two-person tent, green — replacement for damaged pole set.",
"is_header": true,
"is_posting": true,
"name": "Two-Person Tent",
"parent_account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"account_number": "string",
"account_sub_type": "string",
"account_type": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_balance": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_header": true,
"is_posting": true,
"name": "Two-Person Tent",
"normal_balance": "49.00",
"parent_account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
Request body
CreateGlAccountRequest
string
required
Structured account code (e.g.
'1010').string,null
Optional sub-type (e.g.
cash, accounts_receivable, sales_revenue).string
required
One of
asset, liability, equity, revenue, expense.string,null
ISO-4217 currency code (e.g.
USD).string,null
boolean,null
boolean,null
string
required
string,null
Response
GlAccountResponse
string
required
string,null
string
required
string
required
string
required
string
required
Decimal balance as a string.
string,null
string
required
boolean
required
boolean
required
string
required
string
required
string,null
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/accounts' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"account_number": "string",
"account_sub_type": "string",
"account_type": "string",
"currency": "USD",
"description": "Two-person tent, green — replacement for damaged pole set.",
"is_header": true,
"is_posting": true,
"name": "Two-Person Tent",
"parent_account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"account_number": "string",
"account_sub_type": "string",
"account_type": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_balance": "49.00",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_header": true,
"is_posting": true,
"name": "Two-Person Tent",
"normal_balance": "49.00",
"parent_account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
Last modified on August 31, 2026